#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals
import os

AUTHOR = 'Vincent Mazenod'
SITENAME = 'Vincent Mazenod / ingénieur d\'études'
SITEURL = ''
SITELOGO = 'images/mazenovi.png'
SITELOGO_SIZE = "50px"
FAVICON = 'images/favicon.ico'
# BANNER = 'images/mazenovi.png'
# BANNER_SUBTITLE = 'Si les noisettes rendaient aussi intelligent que la publicité nutella  veut bien le laisser croire, ça ferait un bon moment que les écureils domineraient le monde!'


# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# Blogroll
LINKS = (
    (
        'user-circle',
        'Farouk Toumani',
        'http://www.isima.fr/~ftoumani/'
    ),
    (
        'user-circle',
        'Pascal Lafourcade',
        'http://sancy.univ-bpclermont.fr/~lafourcade/'
    ),
    (
        'user-circle',
        'Engelbert Mephu Nguifo',
        'http://ws.isima.fr/~mephu/'
    )
)

# Social widget
SOCIAL = (
    (
        'gitlab',
        'gitlab.isima.fr',
        'https://gitlab.isima.fr/mazenovi'
    ),
    (
        'github',
        'github',
        'https://github.com/mazenovi/'
    )
)

CC_LICENSE = "CC-BY-NC-ND"
# "CC-BY" (require attribution)
# "CC-BY-SA" (require ShareAlike)
# "CC-BY-ND" (NoDerivatives)
# "CC-BY-NC" (require attribution, no commercial reuse)
# "CC-BY-NC-SA" (require ShareAlike, no commercial reuse)
# "CC-BY-NC-ND" (NoDerivatives, no commercial reuse).
CC_LICENSE_DERIVATIVES = "ShareAlike"
# "yes" if permitted
# "no" if not permitted
# "ShareAlike" if derivatives must be shared under the same terms.
CC_LICENSE_COMMERCIAL = "no"
# "yes" if commercial reuse is permitted
# "no" otherwise.
# CUSTOM_LICENSE='Unless otherwise stated, all articles are published under' +
#        'the <a href="http://www.wtfpl.net/about/">WTFPL</a> license.'""
# comment CC_* vars and uncommment CUSTOM LICENSE TO ENABLE IT


DISQUS_SITENAME = 'https://limos.isima.fr/~mazenod'

DISPLAY_TAGS_ON_SIDEBAR = True
TAG_CLOUD_STEPS = 8
TAG_CLOUD_MAX_ITEMS = 20
TAG_CLOUD_BADGE = True

DIRECT_TEMPLATES = ('index', 'categories', 'authors', 'archives', 'search')


# Vous ne devriez pas toucher à cette partie
# à moins que vous ne sachiez ce que vous faites ;)

DEFAULT_PAGINATION = 10
BOOTSTRAP_THEME = "flatly"
PATH = 'content'
TIMEZONE = 'Europe/Paris'
DISPLAY_CATEGORIES_ON_MENU = False
THEME = os.path.dirname(os.path.abspath(__file__)) + "/themes/limos"
JINJA_ENVIRONMENT = {'extensions': ['jinja2.ext.i18n']}
PLUGIN_PATHS = [os.path.dirname(os.path.abspath(__file__)) + '/plugins']
PLUGINS = ['i18n_subsites', 'tag_cloud', 'tipue_search']
I18N_TEMPLATES_LANG = 'en'
# https://bootswatch.com/
SHOW_ARTICLE_AUTHOR = False
SHOW_ARTICLE_CATEGORY = True
SHOW_DATE_MODIFIED = True
CUSTOM_CSS = 'static/custom.css'
STATIC_PATHS = ['images', 'extra/custom.css']
EXTRA_PATH_METADATA = {
    'extra/custom.css': {'path': 'static/custom.css'}
}
PYGMENTS_STYLE = "monokai"
USE_PAGER = True
BOOTSTRAP_FLUID = False
DISPLAY_BREADCRUMBS = True
DISPLAY_CATEGORY_IN_BREADCRUMBS = True
DISPLAY_PAGES_ON_MENU = True
BOOTSTRAP_NAVBAR_INVERSE = False
DEFAULT_LANG = 'fr'
DISPLAY_ARTICLE_INFO_ON_INDEX = True
DISABLE_SIDEBAR_TITLE_ICONS = True
PAGE_PATHS = ['pages']
